net.minecraft.scoreboard

## Class ScoreboardSaveData

- java.lang.Object
- - net.minecraft.world.WorldSavedData
  - - net.minecraft.scoreboard.ScoreboardSaveData

-     public class ScoreboardSaveData
      extends WorldSavedData

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.world.WorldSavedData

      `mapName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScoreboardSaveData()`
    `ScoreboardSaveData(java.lang.String par1Str)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected NBTTagList` | `func_96496_a()`
    `protected void` | `func_96497_d(NBTTagCompound par1NBTTagCompound)`
    `protected void` | `func_96498_a(NBTTagList par1NBTTagList)`
    `void` | `func_96499_a(Scoreboard par1Scoreboard)`
    `protected void` | `func_96500_c(NBTTagList par1NBTTagList)`
    `protected void` | `func_96501_b(NBTTagList par1NBTTagList)`
    `protected void` | `func_96502_a(ScorePlayerTeam par1ScorePlayerTeam, NBTTagList par2NBTTagList)`
    `protected NBTTagList` | `func_96503_e()`
    `protected void` | `func_96504_c(NBTTagCompound par1NBTTagCompound)`
    `protected NBTTagList` | `func_96505_b()`
    `void` | `readFromNBT(NBTTagCompound par1NBTTagCompound)`
    `void` | `writeToNBT(NBTTagCompound par1NBTTagCompound)`

    - ### Methods inherited from class net.minecraft.world.WorldSavedData

      `isDirty, markDirty, setDirty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ScoreboardSaveData

          public ScoreboardSaveData()

    - #### ScoreboardSaveData

          public ScoreboardSaveData(java.lang.String par1Str)

  - ### Method Detail

    - #### func_96499_a

          public void func_96499_a(Scoreboard par1Scoreboard)

    - #### readFromNBT

          public void readFromNBT(NBTTagCompound par1NBTTagCompound)

      Specified by:
        `readFromNBT` in class `WorldSavedData`

    - #### func_96498_a

          protected void func_96498_a(NBTTagList par1NBTTagList)

    - #### func_96502_a

          protected void func_96502_a(ScorePlayerTeam par1ScorePlayerTeam,
                          NBTTagList par2NBTTagList)

    - #### func_96504_c

          protected void func_96504_c(NBTTagCompound par1NBTTagCompound)

    - #### func_96501_b

          protected void func_96501_b(NBTTagList par1NBTTagList)

    - #### func_96500_c

          protected void func_96500_c(NBTTagList par1NBTTagList)

    - #### writeToNBT

          public void writeToNBT(NBTTagCompound par1NBTTagCompound)

      Specified by:
        `writeToNBT` in class `WorldSavedData`

    - #### func_96496_a

          protected NBTTagList func_96496_a()

    - #### func_96497_d

          protected void func_96497_d(NBTTagCompound par1NBTTagCompound)

    - #### func_96505_b

          protected NBTTagList func_96505_b()

    - #### func_96503_e

          protected NBTTagList func_96503_e()